%option '-nons'
{PAM: Parameter Acquisition}
const     PamNewGroup=1; PamNoDefault=2; PamMajor=4; PamKeepCase=8;
          PamInFile=16; PamOutFile=32;
procedure DefineParam %alias 'PAM_DEFSTRING'
          (text:string; var variable:string; flags:integer); extern;
procedure DefineIntParam %alias 'PAM_DEFINT'
          (text:string; var variable:integer; flags:integer); extern;
procedure DefineEnumParam %alias 'PAM_DEFENUM'
          (text:string; var variable:byteinteger; flags:integer); extern;
procedure DefineBooleanParams %alias 'PAM_DEFBOOL'
          (text:string; var variable:integer; flags:integer); extern;
procedure ProcessParameters %alias 'PAM_PROCESS'(parm:string); extern;

{Utility routines}
function  Itos(v,p:integer):string; extern;
function  Stoi(s:string):integer; extern;
function  Date:string; extern;
function  Time:string; extern;
function  ElapsedTime: Integer; Begin ElapsedTime := Cputime end; {JHB 14/11/84}
procedure Phex1(x:integer); extern;
procedure Phex2(x:integer); extern;
procedure Phex4(x:integer); extern;
procedure Phex(x:integer); extern;

{Terminal control}
const     NoEcho=1; NoTermEcho=2; Single=4; NoPage=8;
procedure SetTerminalMode(mode:integer); extern;
function  TestSymbol:integer; extern;
